Subject: Re: [PATCH] pinctrl: microchip-sgpio: Fix support for regmap

From: Colin Foster <[email-masked]>
Date: Fri, 28 Jan 2022 13:32:34 -0800

On Fri, Jan 28, 2022 at 04:19:12PM +0200, Andy Shevchenko wrote:
> On Wed, Jan 26, 2022 at 3:19 AM Colin Foster
> <[email-masked]> wrote:
> > On Tue, Jan 25, 2022 at 05:12:45PM +0100, Horatiu Vultur wrote:
> 
> > The only difference is I
> > had copied reg_stride into sgpio_priv instead of making regmap_config
> > file-scope.
> 
> I'm wondering if we may access config via a pointer to regmap.

Ooh... regmap_get_reg_stride() exists. I didn't see that before. That
seems like it is the answer.

I don't know the etiquette here. Ask Horatiu to re-submit, or me send
along a v2, or something else.

> -- 
> With Best Regards,
> Andy Shevchenko

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel